## pyx3 0.14.1

=== manual/Makefile ===
# Makefile for Sphinx documentation
#

PYTHON ?= python3
GS ?= gs

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean all html latexpdf figs

all: html latexpdf
	@echo "Done."

clean:
	-rm -rf $(BUILDDIR)/* *.pdf *.png

html: figs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

latexpdf: figs
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

figs: $(patsubst %.py, %.png, $(filter-out conf.py,$(wildcard *.py)))

%.pdf: %.py
	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^

%.png: %.pdf
	$(GS) -r100 -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -sOutputFile=$@ $^

## pyx3 0.13

=== debian/changelog ===
pyx3 (0.13-1) unstable; urgency=medium

  * New upstream version compatible with python 3.
    Previous release maintained as a seprate source package to provide
    compatibility with python 2.

 -- Stuart Prescott <stuart@debian.org>  Wed, 19 Feb 2014 23:08:44 +1100

pyx (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 19 May 2013 16:50:09 +1000

pyx (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address.
  * Update copyright format URL.
  * Bump standards version to 3.9.4 (no changes required).
  * Drop postinst that was needed for lenny->squeeze upgrades.

 -- Stuart Prescott <stuart@debian.org>  Mon, 17 Dec 2012 13:45:12 +0000

pyx (0.11.1-2) unstable; urgency=low

  * Add texlive-latex-base to Build-Depends to correctly rebuild lfs files if
    only binary packages are being built (LP: #896924).
  * Use the sphinx debhelper module to check over the sphinx documentation.
  * Build-depend on debhelper >= 8.9.5 to stop dh_compress compressing sphinx
    files.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 27 Nov 2011 21:09:42 +0000

pyx (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Change documentation build system to sphinx in line with new upstream docs.
  * Rebuild lfs files as part of build process.
  * Refresh patchs for new version:
    - drop manual-latex-define.patch no longer needed with sphinx.
    - drop siteconfig-static.patch: not needed with new build system
    - drop pyx-text-warnings26.patch: warnings fixed upstream
  * Add patch sphinx-mathjax.patch to use pngmath in sphinx rather than mathjax
    which is not yet in Debian.
  * Add patch createlfs-no-foiltex.patch to skip generation of foiltex-based
    lfs files that would require non-free components.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch from python-support to dh_python2 as build helper.
  * Update copyright format to newer DEP-5 specification.
  * Add new files to copyright file.
  * Bump standards version to 3.9.2 (no changes required).
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 20 May 2011 00:13:52 +0100

pyx (0.10-2) unstable; urgency=low

  * Build-depend on new python-old-doctools package that provides tools
    no longer in python 2.6 (closes: #568046).
  * Bump standards version to 3.8.4 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 10 Feb 2010 16:06:53 +0000

pyx (0.10-1) unstable; urgency=low

  * New maintainer (closes: #552750).
  * Revert unneeded versioned build-dependency on python-all-dev.
  * Add a preinst script to clean up after python-central (working around
    bug #479852 in python-central) (closes: #553271).
  * Convert packaging to quilt.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 29 Oct 2009 23:47:39 +0000

pyx (0.10-0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:21:33 -0500

pyx (0.10-0+nmu2) unstable; urgency=low

  * Non-maintainer upload
  * Fix build system for compatibility with Python 2.6 (closes: #547872)
    - change debhelper compat level to dh7.
    - remove unneeded sections of debian/rules.
    - remove versioned depends/conflicts/replaces for packages that haven't
      existed since Sarge.
  * Silence DeprecationWarning output from Python 2.6.
  * Move doc package to doc section.
  * Add doc-base entries for documentation.
  * Bump standards version to 3.8.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 30 Sep 2009 01:09:13 +0100

pyx (0.10-0+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (closes: #454765)
  * Update build-deps to use texlive rather than tetex
  * Update depends to use texlive rather than tetex (closes: #467207)
  * Recommend a smaller latex package to reduce the installation size.
    texlive-latex-base seems to be the smallest package that allows at least
    the (trivial) examples to be built (closes: #503577)
  * Fix copyright file to include names and years of upstream authors

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 15 May 2009 00:23:04 +0100

pyx (0.9-4) unstable; urgency=low

  * New maintainer (closes: #408140).

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Mon, 29 Jan 2007 21:22:39 -0400

pyx (0.9-3) unstable; urgency=low

  * New maintainer. Thank you for more than three years of
    maintenance,  Graham! Closes: #400087
  * Don't hard-code python 2.3 in manual/Makefile.
    Thanks to Matthias Klose for the bug report and patch.
    Closes: #392634
  * Remove obsolete dh_python call from debian/rules.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 26 Nov 2006 14:04:53 +0100

pyx (0.9-2) unstable; urgency=low

  * Support the new Python policy. (closes: #373372)

 -- Graham Wilson <graham@debian.org>  Thu, 15 Jun 2006 05:53:37 +0000

pyx (0.9-1) unstable; urgency=low

  * New upstream release.
  * Umm... don't build-depend libkpathsea4-dev.
  * Move examples to -doc package, since their number seems to be
    growing; they also seem more appropriate in that package.
  * Update standards version; no changes.

  * test script changes:
    - test files in the gallery directory as well
    - make the output less verbose

 -- Graham Wilson <graham@debian.org>  Sun, 11 Jun 2006 05:04:08 +0000

pyx (0.8.1-2) unstable; urgency=low

  * Rebuild against libkpathsea4.
  * Output number of tests that were run.
  * Use a variable for the python executable in rules, to make it easier
    to build for a different Python version.

 -- Graham Wilson <graham@debian.org>  Tue, 28 Feb 2006 08:46:25 +0000

pyx (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - don't try to build the examples.pdf file anymore
    - update siteconfig.py to reflect new variable names
 


=== debian/control ===
Source: pyx3
Maintainer: Stuart Prescott <stuart@debian.org>
Standards-Version: 3.9.5
Section: python
Priority: optional
Build-Depends: debhelper (>= 9~),
          dh-python,
          python3-all-dev,
          libkpathsea-dev,
          python3,
          texlive-latex-base
Build-Depends-Indep: python3-sphinx (>= 1.0.7+dfsg),
          libjs-mathjax,
          python3-pil,
          ghostscript,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-fonts-recommended,
          tipa
Homepage: http://pyx.sourceforge.net/
XS-Testsuite: autopkgtest

Package: python3-pyx
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Recommends: texlive-latex-base
Suggests: python3-pyx-doc,
          python3-pil,
          texlive-fonts-recommended
Provides: ${python3:Provides}
Description: Python 3 module for generating PostScript graphics
 PyX is a Python 3 module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.
 .
 Use the python-pyx package for a version of PyX compatible with Python 2.

Package: python3-pyx-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
        libjs-mathjax,
        ${misc:Depends},
        ${sphinxdoc:Depends}
Recommends: pdf-viewer
Description: Python 3 module for generating PostScript graphics (documentation)
 PyX is a Python 3 module for generating encapsulated PostScript figures using
 an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem pybuild

doc:
	make -C faq all
	make -C manual all

override_dh_auto_clean:
	make -C faq clean
	make -C manual clean
	rm -rf manual/_build faq/_build
	cd pyx/data/lfs; rm -f *.lfs *.aux *.log
	dh_auto_clean

override_dh_auto_build-indep: doc

override_dh_auto_build-arch:
	cd pyx/data/lfs; python3 createlfs.py
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/pyx/data/lfs/createlfs.*

override_dh_installdocs-indep:
	mv manual/_build/html/ manual/_build/manual/
	mv faq/_build/html/ faq/_build/faq/
	dh_installdocs -Xobjects.inv
	ln -sf /usr/share/javascript/mathjax/ \
	  debian/python3-pyx-doc/usr/share/doc/python3-pyx-doc/manual/_static/mathjax
	dh_sphinxdoc

override_dh_compress:
	dh_compress --all -X.pdf -X.ipynb

.PHONY: doc

## pyx3 0.14

=== debian/changelog ===
pyx3 (0.14-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:16:40 +0000

pyx3 (0.14-1) unstable; urgency=medium

  * New upstream release.
    - revert upstream change to sphinx conf.py to permit building with older
      python3-sphinx.
  * Bump standards version to 3.9.6 (no changes required).
  * Add SVG and PDF to package descriptions.

 -- Stuart Prescott <stuart@debian.org>  Fri, 08 May 2015 00:00:33 +1000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pyx3
-Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stuart Prescott <stuart@debian.org>
+Standards-Version: 3.9.6
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9~),
@@ -29,8 +30,8 @@
           texlive-fonts-recommended
 Provides: ${python3:Provides}
 Description: Python 3 module for generating PostScript graphics
- PyX is a Python 3 module for generating encapsulated PostScript figures using
- an abstraction of PostScript and TeX.
+ PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
+ figures using an abstraction of PostScript and TeX.
  .
  The module provides access to PostScript features such as paths,
  line-styles, fill patterns, transformations, and clipping. Geometric
@@ -51,7 +52,7 @@
         ${sphinxdoc:Depends}
 Recommends: pdf-viewer
 Description: Python 3 module for generating PostScript graphics (documentation)
- PyX is a Python 3 module for generating encapsulated PostScript figures using
- an abstraction of PostScript and TeX.
+ PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
+ figures using an abstraction of PostScript and TeX.
  .
  This package contains the manual for PyX in PDF and HTML formats and examples.

## pyx3 0.14.1

=== debian/changelog ===
pyx3 (0.14.1-8) unstable; urgency=medium

  * Fix Sphinx config to handle features removed in 1.6 (Closes: #876894).
  * Fix theme for Sphinx 1.6.

 -- Stuart Prescott <stuart@debian.org>  Wed, 27 Sep 2017 10:21:56 +1000

pyx3 (0.14.1-7) unstable; urgency=medium

  * Fix removal of 'output' file from build output (Closes: #873626).

 -- Stuart Prescott <stuart@debian.org>  Wed, 30 Aug 2017 09:16:09 +1000

pyx3 (0.14.1-6) unstable; urgency=medium

  * Add build-dependency on latexmk for Sphinx 1.6 (Closes: #872244).
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Aug 2017 21:49:26 +1000

pyx3 (0.14.1-5) unstable; urgency=medium

  * Move ghostscript and python3-pil from Build-Depends-Indep to Build-Depends
    for the benefit of the test suite.

 -- Stuart Prescott <stuart@debian.org>  Tue, 23 Aug 2016 00:24:30 +1000

pyx3 (0.14.1-4) unstable; urgency=medium

  * Attempt to make package building reproducible by sorting PDF contents.
  * Use examples as a test suite once more.
  * Enable further hardening options for building extensions.

 -- Stuart Prescott <stuart@debian.org>  Mon, 22 Aug 2016 01:00:21 +1000

pyx3 (0.14.1-3) unstable; urgency=medium

  * Add build-dependency on texlive-generic-extra (Closes: #828980).

 -- Stuart Prescott <stuart@debian.org>  Tue, 12 Jul 2016 01:55:24 +1000

pyx3 (0.14.1-2) unstable; urgency=medium

  * Add patches to make build reproducible, based on work by Alexis Bienvenüe
    (via #825881).
  * Update standards version to 3.9.8 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 03 Jun 2016 23:59:51 +1000

pyx3 (0.14.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop new-sphinx.patch now applied upstream.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Nov 2015 00:21:20 +1100

pyx3 (0.14-3) unstable; urgency=medium

  * Correct dependencies in debian/rules to build correctly on arch:all
    buildd.

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Oct 2015 23:14:26 +1100

pyx3 (0.14-2) unstable; urgency=medium

  * Cherry-pick patch from upstream to remove monkey-patching of sphinx
    structures when generating the manual (Closes: #802525)

 -- Stuart Prescott <stuart@debian.org>  Wed, 21 Oct 2015 13:36:26 +1100

=== debian/control ===
Source: pyx3
Maintainer: Stuart Prescott <stuart@debian.org>
Standards-Version: 4.1.0
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 ghostscript,
 graphicsmagick-imagemagick-compat | imagemagick,
 libkpathsea-dev,
 python3,
 python3-all-dev,
 python3-pil,
 texlive-fonts-recommended,
 texlive-latex-base
Build-Depends-Indep:
 latexmk,
 libjs-mathjax,
 python3-sphinx (>= 1.3~),
 texlive-generic-extra,
 texlive-latex-extra,
 texlive-latex-recommended,
 tipa
Homepage: http://pyx.sourceforge.net/

Package: python3-pyx
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-latex-base
Suggests:
 python3-pil,
 python3-pyx-doc,
 texlive-fonts-recommended
Provides:
 ${python3:Provides}
Description: Python 3 module for generating PostScript graphics
 PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
 figures using an abstraction of PostScript and TeX.
 .
 The module provides access to PostScript features such as paths,
 line-styles, fill patterns, transformations, and clipping. Geometric
 operations on paths such as intersections, transformations, and splitting
 are also supported.
 .
 PyX also allows flexible graph generation with many different graph and
 axis styles.
 .
 Use the python-pyx package for a version of PyX compatible with Python 2.

Package: python3-pyx-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 pdf-viewer
Description: Python 3 module for generating PostScript graphics (documentation)
 PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
 figures using an abstraction of PostScript and TeX.
 .
 This package contains the manual for PyX in PDF and HTML formats and examples.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,16 @@
 #!/usr/bin/make -f
+
+# Enable additional hardening options for the binaries but not PIE since it is
+# not wanted for shared libraries.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
-doc:
+lfs:
+	cd pyx/data/lfs; python3 createlfs.py
+
+doc: lfs
 	make -C faq all
 	make -C manual all
 
@@ -11,18 +18,20 @@
 	make -C faq clean
 	make -C manual clean
 	rm -rf manual/_build faq/_build
+	cd examples; rm -f *eps */*eps *svg */*svg *pdf */*pdf *png */*png
+	rm -f output
 	cd pyx/data/lfs; rm -f *.lfs *.aux *.log
 	dh_auto_clean
 
 override_dh_auto_build-indep: doc
 
-override_dh_auto_build-arch:
-	cd pyx/data/lfs; python3 createlfs.py
+override_dh_auto_build-arch: lfs
 	dh_auto_build
 
 override_dh_auto_install:
 	dh_auto_install
 	rm $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/pyx/data/lfs/createlfs.*
+	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/output
 
 override_dh_installdocs-indep:
 	mv manual/_build/html/ manual/_build/manual/
@@ -35,4 +44,14 @@
 override_dh_compress:
 	dh_compress --all -X.pdf -X.ipynb
 
-.PHONY: doc
+override_dh_auto_test-arch:
+	# Get pybuild to build the examples as a test that the build went OK
+	PYBUILD_SYSTEM=custom \
+	  PYBUILD_BEFORE_TEST="cp -r {dir}/examples {build_dir}" \
+	  PYBUILD_AFTER_TEST="rm -rf {build_dir}/examples" \
+	  PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -u {dir}/debian/examples-testrunner' \
+	  dh_auto_test --buildsystem=pybuild
+
+override_dh_auto_test-indep:
+
+.PHONY: doc lfs

=== debian/tests/control ===
Tests: python3-pyx-examples
Depends: python3-pyx,
  findutils,
  ghostscript,
  imagemagick,
  python3-pil,
  texlive-fonts-recommended,
  texlive-latex-base

## pyx3 0.15

=== faq/Makefile ===
# Makefile for Sphinx documentation
#

PYTHON ?= python3

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean all html latexpdf

all: html latexpdf
	@echo "Done."

clean:
	-rm -rf $(BUILDDIR)/* *.eps *.pdf *.png

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

=== debian/changelog ===
pyx3 (0.15-2build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:04 +0100

pyx3 (0.15-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:28:09 +0000

pyx3 (0.15-2) unstable; urgency=medium

  * Stop build-depending on texlive-generic-extra which has vanished
    (Closes: #933585).

 -- Stuart Prescott <stuart@debian.org>  Thu, 08 Aug 2019 00:28:17 +1000

pyx3 (0.15-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream.
    - refresh remaining patches.
    - update homepage to new site
  * Update Standards-Version to 4.4.0 (no changes required).
  * Update to debhelper compat 12.

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Jul 2019 01:20:32 +1000

pyx3 (0.14.1-9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Stuart Prescott ]
  * Update Standards-Version to 4.3.0 (no changes required).
  * Use debhelper-compat (= 11)
  * Update location of documentation following debhelper bump.

 -- Stuart Prescott <stuart@debian.org>  Sun, 27 Jan 2019 00:36:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pyx3
 Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.4.0
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 12),
  dh-python,
  ghostscript,
  graphicsmagick-imagemagick-compat | imagemagick,
@@ -18,11 +18,12 @@
  latexmk,
  libjs-mathjax,
  python3-sphinx (>= 1.3~),
- texlive-generic-extra,
  texlive-latex-extra,
  texlive-latex-recommended,
  tipa
-Homepage: http://pyx.sourceforge.net/
+Homepage: https://pyx-project.org/
+Vcs-Browser: https://salsa.debian.org/debian/pyx3
+Vcs-Git: https://salsa.debian.org/debian/pyx3.git
 
 Package: python3-pyx
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-# Enable additional hardening options for the binaries but not PIE since it is
-# not wanted for shared libraries.
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with python3 --buildsystem pybuild
@@ -38,7 +36,7 @@
 	mv faq/_build/html/ faq/_build/faq/
 	dh_installdocs -Xobjects.inv
 	ln -sf /usr/share/javascript/mathjax/ \
-	  debian/python3-pyx-doc/usr/share/doc/python3-pyx-doc/manual/_static/mathjax
+	  debian/python3-pyx-doc/usr/share/doc/python3-pyx/manual/_static/mathjax
 	dh_sphinxdoc
 
 override_dh_compress:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyX/PyX-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyx3 0.16

=== manual/Makefile ===
--- 
+++ 
@@ -30,13 +30,16 @@
 latexpdf: figs
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
-	make -C $(BUILDDIR)/latex all-pdf
+	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
+
+doctest:
+	cd ../pyx;$(SPHINXBUILD) -b doctest ../manual ../manual/$(BUILDDIR)/doctest
 
 figs: $(patsubst %.py, %.png, $(filter-out conf.py,$(wildcard *.py)))
 
 %.pdf: %.py
-	export PYTHONPATH=$(CURDIR)/.. ; $(PYTHON) $^
+	$(PYTHON) $^
 
 %.png: %.pdf
 	$(GS) -r100 -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -sOutputFile=$@ $^

=== debian/changelog ===
pyx3 (0.16-2build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:04:08 +0000

pyx3 (0.16-2build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:10:36 +0000

pyx3 (0.16-2build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 06:42:18 +0100

pyx3 (0.16-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:47:28 +0000

pyx3 (0.16-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 17:06:52 +0100

pyx3 (0.16-2) unstable; urgency=medium

  * Update build-time tests to use pybuild variables for configuration.
  * Update d/watch for github.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Oct 2023 17:14:20 +1100

pyx3 (0.16-1) unstable; urgency=medium

  * New upstream version
    - drop reproducible build patches applied upstream
    - drop texlive2020 patch cherry-picked from upstream
    - drop py_ssize_t patch cherry-picked from upstream
    - refresh other patches
    - add setuptools as a build-dependency
  * Use lintian-brush to fix:
    - update lintian-overrides format
    - update standards-version (no changes required)
    - update watch file format

 -- Stuart Prescott <stuart@debian.org>  Sat, 22 Oct 2022 13:49:47 +1100

pyx3 (0.15-7) unstable; urgency=medium

  * Only fix up interpreter lines in the arch:all builds for the doc package.

 -- Stuart Prescott <stuart@debian.org>  Sun, 10 Apr 2022 13:28:31 +1000

pyx3 (0.15-6) unstable; urgency=medium

  * Fix T1 extension compilation with Python 3.10 with thanks to Andreas
    Hasenack for the report and the patch (Closes: #1005028).
  * Add lintian overrides to silence some noise.

 -- Stuart Prescott <stuart@debian.org>  Sat, 09 Apr 2022 13:26:04 +1000

pyx3 (0.15-5) unstable; urgency=medium

  * Use lintian-brush/janitor to update packaging:
    - move from debhelper 12 to 13
    - update Standards-Version to 4.6.0 (no changes)
    - drop obsolete version constraints from build dependencies
    - apply multi-arch hints
  * Add build-dependency on tex-gyre, now needed in bookworm.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 14:03:51 +1100

pyx3 (0.15-4) unstable; urgency=medium

  * Fix horizontal font alignment issue with texlive 2020. Cherry-pick patch
    from upstream, with thanks to Andre Wobst and Joerg Lehmann
    (Closes: #992656).

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 Aug 2021 13:17:33 +1000

pyx3 (0.15-3) unstable; urgency=medium

  * Fix autopkgtest failure due to use of py3versions -i, with thanks to Scott
    Kitterman (Closes: #954482).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Add "Rules-Requires-Root: no".

 -- Stuart Prescott <stuart@debian.org>  Mon, 23 Mar 2020 10:05:15 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pyx3
 Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  ghostscript,
  graphicsmagick-imagemagick-compat | imagemagick,
@@ -12,18 +12,21 @@
  python3,
  python3-all-dev,
  python3-pil,
+ python3-setuptools,
  texlive-fonts-recommended,
  texlive-latex-base
 Build-Depends-Indep:
  latexmk,
  libjs-mathjax,
- python3-sphinx (>= 1.3~),
+ python3-sphinx,
+ tex-gyre,
  texlive-latex-extra,
  texlive-latex-recommended,
  tipa
 Homepage: https://pyx-project.org/
 Vcs-Browser: https://salsa.debian.org/debian/pyx3
 Vcs-Git: https://salsa.debian.org/debian/pyx3.git
+Rules-Requires-Root: no
 
 Package: python3-pyx
 Architecture: any
@@ -63,6 +66,7 @@
  ${sphinxdoc:Depends}
 Recommends:
  pdf-viewer
+Multi-Arch: foreign
 Description: Python 3 module for generating PostScript graphics (documentation)
  PyX is a Python 3 module for generating encapsulated PostScript, PDF and SVG
  figures using an abstraction of PostScript and TeX.

=== debian/rules ===
--- 
+++ 
@@ -39,17 +39,24 @@
 	  debian/python3-pyx-doc/usr/share/doc/python3-pyx/manual/_static/mathjax
 	dh_sphinxdoc
 
+execute_after_dh_installexamples-indep:
+	# A handful of examples have "#!/usr/bin/env python" that needs
+	# cleaning up in the package.
+	find debian/python*doc/usr/share/doc/python3-pyx/examples/ \
+	  -name \*py \
+	  -exec grep -l -e '#!/usr/bin/env' {} + | \
+	  xargs sed -i -r 's/(#!\/usr\/bin\/env python)$$/\13/'
+
 override_dh_compress:
 	dh_compress --all -X.pdf -X.ipynb
 
-override_dh_auto_test-arch:
-	# Get pybuild to build the examples as a test that the build went OK
-	PYBUILD_SYSTEM=custom \
-	  PYBUILD_BEFORE_TEST="cp -r {dir}/examples {build_dir}" \
-	  PYBUILD_AFTER_TEST="rm -rf {build_dir}/examples" \
-	  PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -u {dir}/debian/examples-testrunner' \
-	  dh_auto_test --buildsystem=pybuild
+# Use some examples as a test suite
+export PYBUILD_TEST_CUSTOM = 1
+export PYBUILD_BEFORE_TEST = cp -r {dir}/examples {build_dir}
+export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples
+export PYBUILD_TEST_ARGS = {interpreter} -u {dir}/debian/examples-testrunner
 
 override_dh_auto_test-indep:
+	# No tests for the doc package
 
 .PHONY: doc lfs

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Tests: python3-pyx-examples
-Depends: python3-pyx,
+Depends:
+  python3-all,
+  python3-pyx,
   findutils,
   ghostscript,
   imagemagick,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/pyx-project/pyx/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pyx3 0.17

=== Makefile ===
all:
	cd test;$(MAKE)
	cd examples;$(MAKE)
	cd gallery;$(MAKE)
	cd manual;$(MAKE)
	cd faq;$(MAKE)
	cd www/png;$(MAKE)
	cd www;$(MAKE)

clean:
	cd examples;$(MAKE) clean
	cd gallery;$(MAKE) clean
	cd manual;$(MAKE) clean
	cd faq;$(MAKE) clean
	cd www/png;$(MAKE) clean
	cd www;$(MAKE) clean

=== examples/Makefile ===
PYTHON ?= python3
GS ?= gs

files = $(foreach item, $(shell grep -v / INDEX), $(item)) $(foreach item, $(shell grep / INDEX), $(addprefix $(item), $(shell cat $(item)INDEX)))
pyfiles = $(addsuffix .py, $(files))
epsfiles = $(addsuffix .eps, $(files))
pdffiles = $(addsuffix .pdf, $(files))
pngfiles = $(addsuffix .png, $(files))
svgfiles = $(addsuffix .svg, $(files))
ipynbfiles = $(addsuffix .ipynb, $(files))
thumbpngfiles = $(addsuffix _thumb.png, $(files))

.PRECIOUS: $(epsfiles) $(pngfiles)

all:
	$(MAKE) $(ipynbfiles)
	$(MAKE) $(thumbpngfiles)

clean:
	rm -f $(epsfiles) $(pdffiles) $(pngfiles) $(svgfiles) $(ipynbfiles) $(thumbpngfiles)

%.eps: %.py
	cd $(dir $^); $(PYTHON) -W default $(notdir $^)

%.ipynb: %.png
	$(PYTHON) $(CURDIR)/../www/mkipynb.py $@

%.png: %.eps
	$(GS) -r100 -dEPSCrop -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -sOutputFile=$@ $^

%_thumb.png: %.eps
	$(GS) -r50 -dEPSCrop -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -sOutputFile=$@ $^

=== test/Makefile ===
PYTHON ?= python3

.PHONY:unit functional svg doctest

all:unit functional svg doctest

clean:
	cd functional; $(MAKE) clean
	cd svg; $(MAKE) clean

unit:
	cd unit; $(PYTHON) test.py

functional:
	cd functional; $(MAKE)

svg:
	cd svg; $(MAKE)

doctest:
	cd ../manual; $(MAKE) doctest

=== www/Makefile ===
PYTHON ?= python3

default: build

publicserver = my
publicpath = pyx/www

all:
	$(MAKE) clean
	$(MAKE) build

clean:
	rm -rf build

public:
	scp -oCompression=yes -r build/* $(publicserver):$(publicpath)

build: copy html

copy:
	mkdir -p build
	cp main.css build
	cp *.ico build
	cp png/*.png ../manual/_build/latex/manual.pdf ../faq/_build/latex/pyxfaq.pdf build
	cp -r ../manual/_build/html build/manual
	cp -r ../manual/_build/html/manual.html build/manual/index.html
	cp -r ../faq/_build/html build/pyxfaq
	for d in "" $$(grep / ../examples/INDEX); \
	do \
	  mkdir -p build/examples/$$d; \
	  for t in png py ipynb jpg dat eps pdf svg; \
	  do \
	    cp ../examples/$$d*.$$t build/examples/$$d 2> /dev/null; \
	  done; \
	done; \
	for d in "" $$(grep / ../gallery/INDEX); \
	do \
	  mkdir -p build/gallery/$$d; \
	  for t in png py ipynb jpg dat eps pdf svg; \
	  do \
	    cp ../gallery/$$d*.$$t build/gallery/$$d 2> /dev/null; \
	  done; \
	done; \

html:
	$(PYTHON) pt2html.py

=== design/dtk/Makefile ===
default: pyx.pdf
	#

pyx.dvi: pyx.tex unitcircle.py arrow.py springs.py text.py piaxis.py arrow.eps springs.eps text.eps valign.eps piaxis.eps
	latex pyx
	latex pyx

pyx.ps: pyx.dvi
	dvips pyx

pyx.pdf: pyx.ps
	ps2pdf -sPAPERSIZE=a4 pyx.ps

arrow.eps: arrow.py
	PYTHONPATH=../.. python arrow.py

springs.eps: springs.py
	PYTHONPATH=../.. python springs.py

text.eps: text.py
	PYTHONPATH=../.. python text.py

valign.eps: valign.py
	PYTHONPATH=../.. python valign.py

piaxis.eps: piaxis.py
	PYTHONPATH=../.. python piaxis.py

clean:
	rm pyx.dvi pyx.log pyx.aux pyx.out pyx.ps pyx.pdf arrow.eps springs.eps text.eps valign.eps piaxis.eps

=== test/functional/Makefile ===
PYTHON ?= python3

pyfiles = $(wildcard *.py)
pyfiles = $(filter-out test_connector.py test_deformer.py,$(wildcard *.py))
epsfiles = $(patsubst %.py, %.eps, $(pyfiles))

all:
	$(MAKE) clean
	$(MAKE) eps

clean:
	-rm -f *.ps *.eps *.pdf *.svg

eps: $(epsfiles)

%.eps: %.py
	$(PYTHON) -W default $^

=== test/svg/Makefile ===
PYTHON ?= python3

.PHONY: default

default: suite
	PYTHONPATH=$(CURDIR)/../.. $(PYTHON) svgtest.py

clean:
	rm -f svgtest.pdf

suite:
	mkdir suite
	(cd suite; curl -O https://www.w3.org/Graphics/SVG/Test/20110816/archives/W3C_SVG_11_TestSuite.tar.gz; tar xzvf W3C_SVG_11_TestSuite.tar.gz)

=== www/png/Makefile ===
PYTHON ?= python3
GS ?= gs

pngfiles = example.png bend.png pyxlogo.png

default: $(pngfiles)

clean:
	-rm $(pngfiles)

%.png: %.py
	$(PYTHON) $^
	$(GS) -r100 -dEPSCrop -dNOPAUSE -dQUIET -dBATCH -sDEVICE=pngalpha -dTextAlphaBits=4 -dGraphicsAlphaBits=4 -sOutputFile=$@ $*.eps
	rm $*.eps

=== debian/changelog ===
pyx3 (0.17-2) unstable; urgency=medium

  * Fix arch:all build.

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Nov 2025 10:48:15 +1100

pyx3 (0.17-1) unstable; urgency=medium

  * New upstream release.
    - rebase patches
    - update to new build system
    - make use of new upstream tests
  * Add new patches
    - fix SyntaxWarning in new tests
    - drop test using PFM fonts
    - use make -C in makefiles

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Nov 2025 09:30:21 +1100

pyx3 (0.16-3) unstable; urgency=medium

  [ James Lu ]
  * Remove B-D: graphicsmagick-imagemagick-compat.

  [ Stuart Prescott ]
  * Update Standards-Version to 4.7.2 (no changes required).
  * Simplify some targets in d/rules.
  * Reformat patches with gbp pq.

 -- Stuart Prescott <stuart@debian.org>  Fri, 07 Nov 2025 13:55:34 +1100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: pyx3
 Maintainer: Stuart Prescott <stuart@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  ghostscript,
- graphicsmagick-imagemagick-compat | imagemagick,
+ imagemagick,
  libkpathsea-dev,
+ pybuild-plugin-pyproject,
  python3,
  python3-all-dev,
  python3-pil,
  python3-setuptools,
+ python3-testfixtures <!nocheck>,
  texlive-fonts-recommended,
  texlive-latex-base
 Build-Depends-Indep:
@@ -53,8 +55,6 @@
  .
  PyX also allows flexible graph generation with many different graph and
  axis styles.
- .
- Use the python-pyx package for a version of PyX compatible with Python 2.
 
 Package: python3-pyx-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem pybuild

execute_before_dh_auto_clean:
	$(MAKE) clean

execute_before_dh_auto_build:
	cd pyx/data/lfs; python3 createlfs.py

override_dh_auto_build-indep:
	$(MAKE) -C faq all
	$(MAKE) -C manual all

execute_after_dh_auto_install:
	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/pyx/data/lfs/createlfs.*
	rm -f $(CURDIR)/debian/tmp/usr/lib/python*/*-packages/output
	rm -f $(CURDIR)/debian/*/usr/lib/python*/*-packages/pyx/font/_t1code.c
	rm -f $(CURDIR)/debian/*/usr/lib/python*/*-packages/pyx/pykpathsea.c

override_dh_installdocs-indep:
	mv manual/_build/html/ manual/_build/manual/
	mv faq/_build/html/ faq/_build/faq/
	dh_installdocs -Xobjects.inv
	ln -sf /usr/share/javascript/mathjax/ \
	  debian/python3-pyx-doc/usr/share/doc/python3-pyx/manual/_static/mathjax
	dh_sphinxdoc

execute_after_dh_installexamples-indep:
	# A handful of examples have "#!/usr/bin/env python" that needs
	# cleaning up in the package.
	find debian/python*doc/usr/share/doc/python3-pyx/examples/ \
	  -name \*py \
	  -exec grep -l -e '#!/usr/bin/env' {} + | \
	  xargs sed -i -r 's/(#!\/usr\/bin\/env python)$$/\13/'
	# also clean up the example-building INDEX files
	find debian/python*doc/usr/share/doc/python3-pyx/examples/ -name INDEX -delete

override_dh_compress:
	dh_compress --all -X.pdf -X.ipynb

export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = PYTHON={interpreter} make -C test unit functional

override_dh_auto_test-indep:
	# No tests for the doc package

=== debian/tests/control ===
Tests:
 python3-pyx,
Restrictions:
 allow-stderr,
Depends:
 ghostscript,
 python3-all,
 python3-pil,
 python3-pyx,
 python3-testfixtures,
 texlive-binaries,
 texlive-fonts-recommended,
 texlive-latex-base,

Tests:
 python3-pyx-examples,
Depends:
 ghostscript,
 imagemagick,
 python3-all,
 python3-pil,
 python3-pyx,
 texlive-fonts-recommended,
 texlive-latex-base,
